%% This BibTeX bibliography file was created using BibDesk.
%% http://bibdesk.sourceforge.net/

@article{moore1998cramming,
	title={Cramming more components onto integrated circuits},
	author={Moore, Gordon E},
	journal={Proceedings of the IEEE},
	volume={86},
	number={1},
	pages={82--85},
	year={1998},
	publisher={IEEE}
}

@article{sorin2011primer,
	title={A primer on memory consistency and cache coherence},
	author={Sorin, Daniel J and Hill, Mark D and Wood, David A},
	journal={Synthesis Lectures on Computer Architecture},
	volume={6},
	number={3},
	pages={1--212},
	year={2011},
	publisher={Morgan \& Claypool Publishers}
}

@article{drepper2007every,
	title={What every programmer should know about memory},
	author={Drepper, Ulrich},
	journal={Red Hat, Inc},
	volume={11},
	pages={2007},
	year={2007}
}

@techreport{asanovic2006landscape,
	title={The landscape of parallel computing research: A view from berkeley},
	author={Asanovic, Krste and Bodik, Ras and Catanzaro, Bryan Christopher and Gebis, Joseph James and Husbands, Parry and Keutzer, Kurt and Patterson, David A and Plishker, William Lester and Shalf, John and Williams, Samuel Webb and others},
	year={2006},
	institution={Technical Report UCB/EECS-2006-183, EECS Department, University of California, Berkeley}
}

@article{paranjape2010heterogeneous,
	title={Heterogeneous computing in the cloud: Crunching big data and democratizing HPC access for the life sciences},
	author={Paranjape, Ketan and Hebert, Steve and Masson, Bob},
	journal={Intel Corporation},
	year={2010}
}

@article{bjerregaard2006survey,
	title={A survey of research and practices of network-on-chip},
	author={Bjerregaard, Tobias and Mahadevan, Shankar},
	journal={ACM Computing Surveys (CSUR)},
	volume={38},
	number={1},
	pages={1},
	year={2006},
	publisher={ACM}
}

@inproceedings{sweazey1986class,
	title={A class of compatible cache consistency protocols and their support by the IEEE futurebus},
	author={Sweazey, Paul and Smith, Alan Jay},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={14},
	number={2},
	pages={414--423},
	year={1986},
	organization={IEEE Computer Society Press}
}

@book{patterson,
	title={Computer architecture: a quantitative approach},
	author={Hennessy, John L and Patterson, David A},
	year={2011},
	publisher={Elsevier}
}

@inproceedings{galloy2013accelerated,
	title={Accelerated IDL using OpenCL},
	author={Galloy, Michael D and Fillmore, DW and Rood, J},
	booktitle={AGU Fall Meeting Abstracts},
	volume={1},
	pages={1563},
	year={2013}
}

@book{faber,
	title={CUDA application design and development},
	author={Farber, Rob},
	year={2011},
	publisher={Elsevier}
}

@article{schaller1997moore,
	title={Moore's law: past, present and future},
	author={Schaller, Robert R},
	journal={Spectrum, IEEE},
	volume={34},
	number={6},
	pages={52--59},
	year={1997},
	publisher={IEEE}
}

@book{progmass,
	title={Programming massively parallel processors: a hands-on approach},
	author={Kirk, David B and Wen-mei, W Hwu},
	year={2012},
	publisher={Newnes}
}

@article{openclstdhcs,
	title={OpenCL: A parallel programming standard for heterogeneous computing systems},
	author={Stone, John E and Gohara, David and Shi, Guochun},
	journal={Computing in science \& engineering},
	volume={12},
	number={1-3},
	pages={66--73},
	year={2010},
	publisher={Institute of Electrical and Electronics Engineers, Inc.,| y USA United States}
}

@ONLINE{cudaweb,
	title = {CUDA by example: an introduction to general-purpose GPU programming.},
	author = {Sanders J, Kandrot E.},
	journal={Addison-Wesley Professional},
	year={2010}
}

@inproceedings{rabenseifner2009hybrid,
	title={Hybrid MPI/OpenMP parallel programming on clusters of multi-core SMP nodes},
	author={Rabenseifner, Rolf and Hager, Georg and Jost, Gabriele},
	booktitle={Parallel, Distributed and Network-based Processing, 2009 17th Euromicro International Conference on},
	pages={427--436},
	year={2009},
	organization={IEEE}
}

@article{dagum1998openmp,
	title={OpenMP: an industry standard API for shared-memory programming},
	author={Dagum, Leonardo and Enon, Rameshm},
	journal={Computational Science \& Engineering, IEEE},
	volume={5},
	number={1},
	pages={46--55},
	year={1998},
	publisher={IEEE}
}

@article{stone2010opencl,
	title={OpenCL: A parallel programming standard for heterogeneous computing systems},
	author={Stone, John E and Gohara, David and Shi, Guochun},
	journal={Computing in science \& engineering},
	volume={12},
	number={1-3},
	pages={66--73},
	year={2010},
	publisher={Institute of Electrical and Electronics Engineers, Inc.,| y USA United States}
}

@article{fermi_wp,
	title={Nvidia's next generation cuda compute architecture},
	author={NVidia, Fermi},
	journal={NVidia, Santa Clara, Calif, USA},
	year={2009}
}

@article{goodman1983using,
	title={Using cache memory to reduce processor-memory traffic},
	author={Goodman, James R},
	journal={ACM SIGARCH Computer Architecture News},
	volume={11},
	number={3},
	pages={124--131},
	year={1983},
	publisher={ACM}
}

@article{kambatla2014trends,
	title={Trends in big data analytics},
	author={Kambatla, Karthik and Kollias, Giorgos and Kumar, Vipin and Grama, Ananth},
	journal={Journal of Parallel and Distributed Computing},
	volume={74},
	number={7},
	pages={2561--2573},
	year={2014},
	publisher={Elsevier}
}

@article{esteva2017dermatologist,
	title={Dermatologist-level classification of skin cancer with deep neural networks},
	author={Esteva, Andre and Kuprel, Brett and Novoa, Roberto A and Ko, Justin and Swetter, Susan M and Blau, Helen M and Thrun, Sebastian},
	journal={Nature},
	volume={542},
	number={7639},
	pages={115},
	year={2017},
	publisher={Nature Publishing Group}
}

@article{salamon2017deep,
	title={Deep convolutional neural networks and data augmentation for environmental sound classification},
	author={Salamon, Justin and Bello, Juan Pablo},
	journal={IEEE Signal Processing Letters},
	volume={24},
	number={3},
	pages={279--283},
	year={2017},
	publisher={IEEE}
}

@article{silver2016mastering,
	title={Mastering the game of Go with deep neural networks and tree search},
	author={Silver, David and Huang, Aja and Maddison, Chris J and Guez, Arthur and Sifre, Laurent and Van Den Driessche, George and Schrittwieser, Julian and Antonoglou, Ioannis and Panneershelvam, Veda and Lanctot, Marc and others},
	journal={nature},
	volume={529},
	number={7587},
	pages={484--489},
	year={2016},
	publisher={Nature Research}
}

@inproceedings{he2016deep,
	title={Deep residual learning for image recognition},
	author={He, Kaiming and Zhang, Xiangyu and Ren, Shaoqing and Sun, Jian},
	booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
	pages={770--778},
	year={2016}
}

@article{rumelhart1986learning,
	title={Learning representations by back-propagating errors},
	author={Rumelhart, David E and Hinton, Geoffrey E and Williams, Ronald J},
	journal={nature},
	volume={323},
	number={6088},
	pages={533},
	year={1986},
	publisher={Nature Publishing Group}
}

@inproceedings{szegedy2015going,
	title={Going deeper with convolutions},
	author={Szegedy, Christian and Liu, Wei and Jia, Yangqing and Sermanet, Pierre and Reed, Scott and Anguelov, Dragomir and Erhan, Dumitru and Vanhoucke, Vincent and Rabinovich, Andrew and others},
	year={2015},
	organization={Cvpr}
}

@inproceedings{dean2012large,
	title={Large scale distributed deep networks},
	author={Dean, Jeffrey and Corrado, Greg and Monga, Rajat and Chen, Kai and Devin, Matthieu and Mao, Mark and Senior, Andrew and Tucker, Paul and Yang, Ke and Le, Quoc V and others},
	booktitle={Advances in neural information processing systems},
	pages={1223--1231},
	year={2012}
}

@inproceedings{chen2014dadiannao,
	title={Dadiannao: A machine-learning supercomputer},
	author={Chen, Yunji and Luo, Tao and Liu, Shaoli and Zhang, Shijin and He, Liqiang and Wang, Jia and Li, Ling and Chen, Tianshi and Xu, Zhiwei and Sun, Ninghui and others},
	booktitle={Proceedings of the 47th Annual IEEE/ACM International Symposium on Microarchitecture},
	pages={609--622},
	year={2014},
	organization={IEEE Computer Society}
}

@inproceedings{farabet2011neuflow,
	title={Neuflow: A runtime reconfigurable dataflow processor for vision},
	author={Farabet, Cl{\'e}ment and Martini, Berin and Corda, Benoit and Akselrod, Polina and Culurciello, Eugenio and LeCun, Yann},
	booktitle={Computer Vision and Pattern Recognition Workshops (CVPRW), 2011 IEEE Computer Society Conference on},
	pages={109--116},
	year={2011},
	organization={IEEE}
}

@inproceedings{zhang2015optimizing,
	title={Optimizing fpga-based accelerator design for deep convolutional neural networks},
	author={Zhang, Chen and Li, Peng and Sun, Guangyu and Guan, Yijin and Xiao, Bingjun and Cong, Jason},
	booktitle={Proceedings of the 2015 ACM/SIGDA International Symposium on Field-Programmable Gate Arrays},
	pages={161--170},
	year={2015},
	organization={ACM}
}

@inproceedings{bergstra2011theano,
	title={Theano: Deep learning on gpus with python},
	author={Bergstra, James and Bastien, Fr{\'e}d{\'e}ric and Breuleux, Olivier and Lamblin, Pascal and Pascanu, Razvan and Delalleau, Olivier and Desjardins, Guillaume and Warde-Farley, David and Goodfellow, Ian and Bergeron, Arnaud and others},
	booktitle={NIPS 2011, BigLearning Workshop, Granada, Spain},
	volume={3},
	year={2011},
	organization={Citeseer}
}

@article{russakovsky2015imagenet,
	title={Imagenet large scale visual recognition challenge},
	author={Russakovsky, Olga and Deng, Jia and Su, Hao and Krause, Jonathan and Satheesh, Sanjeev and Ma, Sean and Huang, Zhiheng and Karpathy, Andrej and Khosla, Aditya and Bernstein, Michael and others},
	journal={International Journal of Computer Vision},
	volume={115},
	number={3},
	pages={211--252},
	year={2015},
	publisher={Springer}
}

@article{murphy2017xilinx,
	title={Xilinx All Programmable Devices: A Superior Platform for Compute-Intensive Systems},
	author={Murphy, Cathal and Fu, Yao},
	journal={Xilinx White Paper},
	year={2017}
}

@article{przybus2010xilinx,
	title={Xilinx redefines power, performance, and design productivity with three new 28 nm FPGA families: Virtex-7, Kintex-7, and Artix-7 devices},
	author={Przybus, Brent},
	journal={Xilinx White Paper},
	year={2010}
}

@misc{snyder2012verilator,
	title={Verilator-Convert Verilog code to C++/SystemC},
	author={Snyder, W and Wasson, P and Galbi, D},
	year={2012}
}

@article{chen2017eyeriss,
	title={Eyeriss: An energy-efficient reconfigurable accelerator for deep convolutional neural networks},
	author={Chen, Yu-Hsin and Krishna, Tushar and Emer, Joel S and Sze, Vivienne},
	journal={IEEE Journal of Solid-State Circuits},
	volume={52},
	number={1},
	pages={127--138},
	year={2017},
	publisher={IEEE}
}

@INPROCEEDINGS{cuesta11,
	author={B. Cuesta and A. Ros and M. E. Gómez and A. Robles and J. Duato},
	booktitle={38th Annual Int. Symposium on Computer Architecture (ISCA)},
	title={Increasing the effectiveness of directory caches by deactivating coherence for private memory blocks},
	year={2011},
	pages={93-103},
	month={June},
}

@inproceedings{power2013heterogeneous,
	title={Heterogeneous system coherence for integrated {CPU}-{GPU} systems},
	author={Power, Jason and Basu, Arkaprava and Gu, Junli and Puthoor, Sooraj and Beckmann, Bradford M and Hill, Mark D and Reinhardt, Steven K and Wood, David A},
	booktitle={Proceedings of the 46th Annual IEEE/ACM International Symposium on Microarchitecture},
	pages={457--467},
	year={2013},
	organization={ACM}
}

@inproceedings{kelm2010cohesion,
	title={Cohesion: a hybrid memory model for accelerators},
	author={Kelm, John H and Johnson, Daniel R and Tuohy, William and Lumetta, Steven S and Patel, Sanjay J},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={38},
	number={3},
	pages={429--440},
	year={2010},
	organization={ACM}
}

@inproceedings{kelm2009rigel,
	title={Rigel: an architecture and scalable programming interface for a 1000-core accelerator},
	author={Kelm, John H and Johnson, Daniel R and Johnson, Matthew R and Crago, Neal C and Tuohy, William and Mahesri, Aqeel and Lumetta, Steven S and Frank, Matthew I and Patel, Sanjay J},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={37},
	number={3},
	pages={140--151},
	year={2009},
	organization={ACM}
}

@inproceedings{kelm2009task,
	title={A task-centric memory model for scalable accelerator architectures},
	author={Kelm, John H and Johnson, Daniel R and Lumetta, Steven S and Frank, Matthew I and Patel, Sanjay J},
	booktitle={Parallel Architectures and Compilation Techniques, 2009. PACT'09. 18th International Conference on},
	pages={77--87},
	year={2009},
	organization={IEEE}
}

@article{moshovos2005regionscout,
	title={RegionScout: Exploiting coarse grain sharing in snoop-based coherence},
	author={Moshovos, Andreas},
	journal={ACM SIGARCH Computer Architecture News},
	volume={33},
	number={2},
	pages={234--245},
	year={2005},
	publisher={ACM}
}

@inproceedings{cantin2005improving,
	title={Improving multiprocessor performance with coarse-grain coherence tracking},
	author={Cantin, Jason F and Lipasti, Mikko H and Smith, James E},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={33},
	number={2},
	pages={246--257},
	year={2005},
	organization={IEEE Computer Society}
}

@article{martin2012chip,
	title={Why on-chip cache coherence is here to stay},
	author={Martin, Milo MK and Hill, Mark D and Sorin, Daniel J},
	journal={Communications of the ACM},
	volume={55},
	number={7},
	pages={78--89},
	year={2012},
	publisher={ACM}
}

@inproceedings{demetriades2014stash,
	title={Stash directory: A scalable directory for many-core coherence},
	author={Demetriades, Socrates and Cho, Sangyeun},
	booktitle={High performance computer architecture (hpca), 2014 ieee 20th Int. Symposium on},
	pages={177--188},
	year={2014},
	organization={IEEE}
}

@inproceedings{pugsley2010swel,
	title={{SWEL}: Hardware cache coherence protocols to map shared data onto shared caches},
	author={Pugsley, Seth H and Spjut, Josef B and Nellans, David W and Balasubramonian, Rajeev},
	booktitle={Procs of the 19th Int. Conference on Parallel architectures and compilation techniques},
	pages={465--476},
	year={2010},
	organization={ACM}
}

@inproceedings{alisafaee2012spatiotemporal,
	title={Spatiotemporal coherence tracking},
	author={Alisafaee, Mohammad},
	booktitle={Proceedings of the 2012 45th Annual IEEE/ACM International Symposium on Microarchitecture},
	pages={341--350},
	year={2012},
	organization={IEEE Computer Society}
}

@incollection{gupta1992reducing,
	title={Reducing memory and traffic requirements for scalable directory-based cache coherence schemes},
	author={Gupta, Anoop and Weber, Wolf-Dietrich and Mowry, Todd},
	booktitle={Scalable shared memory multiprocessors},
	pages={167--192},
	year={1992},
	publisher={Springer}
}

@article{hardavellas2009reactive,
	title={Reactive {NUCA}: near-optimal block placement and replication in distributed caches},
	author={Hardavellas, Nikos and Ferdman, Michael and Falsafi, Babak and Ailamaki, Anastasia},
	journal={ACM SIGARCH Computer Architecture News},
	volume={37},
	number={3},
	pages={184--195},
	year={2009},
	publisher={ACM}
}

#####################################  (examples) #########

\begin{filecontents}{\bibliography.bib}
%Per evitare linea continua al posto degli autori
@IEEEtranBSTCTL{IEEEexample:BSTcontrol,CTLdash_repeated_names= "no",
	CTLuse_forced_etal = "yes",
	CTLmax_names_forced_etal = "2",}

@inproceedings{dally2001route,
	title={Route packets, not wires: On-chip interconnection networks},
	author={Dally, William J and Towles, Brian},
	booktitle={Design Automation Conference, 2001. Proceedings},
	pages={684--689},
	year={2001},
	organization={IEEE}
}

@article{benini2002networks,
	title={Networks on chips: A new {SoC} paradigm},
	author={Benini, Luca and De Micheli, Giovanni},
	journal={Computer},
	volume={35},
	number={1},
	pages={70--78},
	year={2002},
	publisher={IEEE}
}

@article{marculescu2009outstanding,
	title={Outstanding research problems in {NoC} design: system, microarchitecture, and circuit perspectives},
	author={Marculescu, Radu and Ogras, Umit Y and Peh, Li-Shiuan and Jerger, Natalie Enright and Hoskote, Yatin},
	journal={Computer-Aided Design of Integrated Circuits and Systems, IEEE Transactions on},
	volume={28},
	number={1},
	pages={3--21},
	year={2009},
	publisher={IEEE}
}

@book{dally2004principles,
	title={Principles and practices of interconnection networks},
	author={Dally, William James and Towles, Brian Patrick},
	year={2004},
	publisher={Elsevier}
}

@article{flich2008logic,
	title={Logic-based distributed routing for {NoCs}},
	author={Flich, Jose and Duato, Jose},
	journal={IEEE Computer Architecture Letters},
	volume={7},
	number={1},
	pages={13--16},
	year={2008},
	publisher={IEEE}
}

@inproceedings{mejia2006segment,
	title={Segment-based routing: An efficient fault-tolerant routing algorithm for meshes and tori},
	author={Mejia, Andres and Flich, Jose and Duato, Jose and Reinemo, S-A and Skeie, Tor},
	booktitle={Parallel and Distributed Processing Symposium, 2006. IPDPS 2006. 20th International},
	pages={10--pp},
	year={2006},
	organization={IEEE}
}

@article{mejia2009region,
	title={Region-based routing: a mechanism to support efficient routing algorithms in {NoCs}},
	author={Mejia, Andres and Palesi, Maurizio and Flich, Jos{\'e} and Kumar, Shashi and L{\'o}pez, Pedro and Holsmark, Rickard and Duato, Jos{\'e}},
	journal={IEEE Transactions on Very Large Scale Integration (VLSI) Systems},
	volume={17},
	number={3},
	pages={356--369},
	year={2009},
	publisher={IEEE}
}

@article{chiu2000odd,
	title={The odd-even turn model for adaptive routing},
	author={Chiu, Ge-Ming},
	journal={IEEE Transactions on parallel and distributed systems},
	volume={11},
	number={7},
	pages={729--738},
	year={2000},
	publisher={IEEE}
}

@article{dally1992virtual,
	title={Virtual-channel flow control},
	author={Dally, William J},
	journal={IEEE Transactions on Parallel and Distributed systems},
	volume={3},
	number={2},
	pages={194--205},
	year={1992},
	publisher={IEEE}
}

@inproceedings{felperin1991fully,
	title={Fully-adaptive routing: Packet switching performance and wormhole algorithms},
	author={Felperin, Sergio A and Gravano, Luis and Pifarr{\'e}, Gustavo D and Sanz, Jorge LC},
	booktitle={Proceedings of the 1991 ACM/IEEE conference on Supercomputing},
	pages={654--663},
	year={1991},
	organization={ACM}
}

@article{glass1992turn,
	title={The turn model for adaptive routing},
	author={Glass, Christopher J and Ni, Lionel M},
	journal={ACM SIGARCH Computer Architecture News},
	volume={20},
	number={2},
	pages={278--287},
	year={1992},
	publisher={ACM}
}

@inproceedings{fu2011abacus,
	title={An abacus turn model for time/space-efficient reconfigurable routing},
	author={Fu, Binzhang and Han, Yinhe and Ma, Jun and Li, Huawei and Li, Xiaowei},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={39},
	number={3},
	pages={259--270},
	year={2011},
	organization={ACM}
}

@article{tang2017repetitive,
	title={The Repetitive Turn Model for Adaptive Routing},
	author={Tang, Minghua and Lin, Xiaola and Palesi, Maurizio},
	journal={IEEE Transactions on Computers},
	volume={66},
	number={1},
	pages={138--146},
	year={2017},
	publisher={IEEE}
}

@article{gelernter1981dag,
	title={A {DAG}-based algorithm for prevention of store-and-forward deadlock in packet networks},
	author={Gelernter, David},
	journal={IEEE Trans. Computers},
	volume={30},
	number={10},
	pages={709--715},
	year={1981}
}

@article{tang2015routing,
	title={Routing pressure: A channel-related and traffic-aware metric of routing algorithm},
	author={Tang, Minghua and Lin, Xiaola and Palesi, Maurizio},
	journal={IEEE transactions on Parallel and Distributed Systems},
	volume={26},
	number={3},
	pages={891--901},
	year={2015},
	publisher={IEEE}
}

@article{duato1993new,
	title={A new theory of deadlock-free adaptive routing in wormhole networks},
	author={Duato, Jos{\'e}},
	journal={IEEE transactions on parallel and distributed systems},
	volume={4},
	number={12},
	pages={1320--1331},
	year={1993},
	publisher={IEEE}
}

@inproceedings{seitz1988architecture,
	title={The architecture and programming of the {A}metek series 2010 multicomputer},
	author={Seitz, Charles L and Athas, William C and Flaig, Charles M and Martin, Alain J and Seizovic, Jakov and Steele, Craig S and Su, Wen-King},
	booktitle={Proceedings of the third conference on Hypercube concurrent computers and applications: Architecture, software, computer systems, and general issues-Volume 1},
	pages={33--37},
	year={1988},
	organization={ACM}
}

@inproceedings{horst1996servernet,
	title={{ServerNet} deadlock avoidance and fractahedral topologies},
	author={Horst, Robert},
	booktitle={Parallel Processing Symposium, 1996., Proceedings of IPPS'96, The 10th International},
	pages={274--280},
	year={1996},
	organization={IEEE}
}

@book{barvinok2002course,
	title={A course in convexity},
	author={Barvinok, Alexander},
	volume={54},
	year={2002},
	publisher={American Mathematical Society Providence}
}

@article{cilardo2015improving,
	title={Improving multibank memory access parallelism with lattice-based partitioning},
	author={Cilardo, Alessandro and Gallo, Luca},
	journal={ACM Transactions on Architecture and Code Optimization (TACO)},
	volume={11},
	number={4},
	pages={45},
	year={2015},
	publisher={ACM}
}

@book{schrijver1998theory,
	title={Theory of linear and integer programming},
	author={Schrijver, Alexander},
	year={1998},
	publisher={John Wiley \& Sons}
}

@book{newman1972integral,
	title={Integral matrices},
	author={Newman, Morris},
	volume={45},
	year={1972},
	publisher={Academic Press}
}

@article{catania2016cycle,
	title={Cycle-Accurate Network on Chip Simulation with {N}oxim},
	author={Catania, Vincenzo and Mineo, Andrea and Monteleone, Salvatore and Palesi, Maurizio and Patti, Davide},
	journal={ACM Transactions on Modeling and Computer Simulation (TOMACS)},
	volume={27},
	number={1},
	pages={4},
	year={2016},
	publisher={ACM}
}

@article{fpgavsasic,
	title={Measuring the gap between FPGAs and ASICs},
	author={Kuon, Ian and Rose, Jonathan},
	journal={IEEE Transactions on computer-aided design of integrated circuits and systems},
	volume={26},
	number={2},
	pages={203--215},
	year={2007},
	publisher={IEEE}
}

@article{paranjape2010heterogeneous,
	title={Heterogeneous computing in the cloud: Crunching big data and democratizing HPC access for the life sciences},
	author={Paranjape, Ketan and Hebert, Steve and Masson, Bob},
	journal={Intel Corporation},
	year={2010}
}

@inproceedings{cilardo2005fpga,
	title={An FPGA-based key-store for improving the dependability of security services},
	author={Cilardo, Alessandro and Mazzeo, Antonino and Romano, Luigi and Saggese, Giacinto Paolo},
	booktitle={Object-Oriented Real-Time Dependable Systems, 2005. WORDS 2005. 10th IEEE International Workshop on},
	pages={389--396},
	year={2005},
	organization={IEEE}
}

@inproceedings{sarkar2010hardware,
	title={Hardware accelerators for biocomputing: A survey},
	author={Sarkar, Souradip and Majumder, Turbo and Kalyanaraman, Ananth and Pande, Partha Pratim},
	booktitle={Circuits and Systems (ISCAS), Proceedings of 2010 IEEE International Symposium on},
	pages={3789--3792},
	year={2010},
	organization={IEEE}
}

@article{cilardo2013exploiting,
	title={Exploiting vulnerabilities in cryptographic hash functions based on reconfigurable hardware},
	author={Cilardo, Alessandro and Mazzocca, Nicola},
	journal={IEEE Transactions on Information Forensics and Security},
	volume={8},
	number={5},
	pages={810--820},
	year={2013},
	publisher={IEEE}
}

@article{cilardo2015improving,
	title={Improving multibank memory access parallelism with lattice-based partitioning},
	author={Cilardo, Alessandro and Gallo, Luca},
	journal={ACM Transactions on Architecture and Code Optimization (TACO)},
	volume={11},
	number={4},
	pages={45},
	year={2015},
	publisher={ACM}
}

@article{chatterjee,
	title={Generating local addresses and communication sets for data-parallel programs},
	author={Chatterjee, Siddhartha and Gilbert, John R and Long, Fred JE and Schreiber, Robert and Teng, Shang-Hua},
	journal={Journal of Parallel and Distributed Computing},
	volume={26},
	number={1},
	pages={72--84},
	year={1995},
	publisher={Elsevier}
}

@inproceedings{wang-yuxin,
	title={Theory and algorithm for generalized memory partitioning in high-level synthesis},
	author={Wang, Yuxin and Li, Peng and Cong, Jason},
	booktitle={Proceedings of the 2014 ACM/SIGDA international symposium on Field-programmable gate arrays},
	pages={199--208},
	year={2014},
	organization={ACM}
}


@inproceedings{altera,
	title={An Independent Analysis of Altera's FPGA Floating-point DSP Design Flow},
	booktitle={By the staff of Berkeley Design Technology, Inc.}
}

@misc{coon-brett-nvidia,
	title={Shared memory with parallel access and access conflict resolution mechanism},
	author={Coon, Brett W and Siu, Ming Y and Xu, Weizhong and Oberman, Stuart F and Nickolls, John R and Mills, Peter C},
	year={2012},
	month=jan # "~31",
	publisher={Google Patents},
	note={US Patent 8,108,625}
}

@misc{altera-opencl,
	title={The Altera SDK for Open Computing Language (OpenCL) },
	misc={https://www.altera.com/products/design-software/embedded-software-developers/opencl/overview.html}
}

@article{sdaccel,
	title={Xilinx sdaccel: a unified development environment for tomorrows data center},
	author={Wirbel, Loring},
	journal={The Linley Group Inc},
	year={2014}
}

@article{fermi,
	title={Nvidia’s next generation cuda compute architecture: Fermi},
	author={Nvidia, C},
	journal={Comput. Syst},
	volume={26},
	pages={63--72},
	year={2009}
}

@inproceedings{nyuzi,
	title={Nyami: a synthesizable GPU architectural model for general-purpose and graphics-specific workloads},
	author={Bush, Jeff and Dexter, Philip and Miller, Timothy N and Carpenter, Aaron},
	booktitle={Performance Analysis of Systems and Software (ISPASS), 2015 IEEE International Symposium on},
	pages={173--182},
	year={2015},
	organization={IEEE}
}

@article{miaow,
	title={Enabling GPGPU low-level hardware explorations with MIAOW: an open-source RTL implementation of a GPGPU},
	author={Balasubramanian, Raghuraman and Gangadhar, Vinay and Guo, Ziliang and Ho, Chen-Han and Joseph, Cherin and Menon, Jaikrishnan and Drumond, Mario Paulo and Paul, Robin and Prasad, Sharath and Valathol, Pradip and others},
	journal={ACM Transactions on Architecture and Code Optimization (TACO)},
	volume={12},
	number={2},
	pages={21},
	year={2015},
	publisher={ACM}
}

@inproceedings{guppy,
	title={Guppy: A GPU-like soft-core processor},
	author={Al-Dujaili, Abdullah and Deragisch, Florian and Hagiescu, Andrei and Wong, Weng-Fai},
	booktitle={Field-Programmable Technology (FPT), 2012 International Conference on},
	pages={57--60},
	year={2012},
	organization={IEEE}
}

@article{kingyens,
	title={The potential for a GPU-like overlay architecture for FPGAs},
	author={Kingyens, Jeffrey and Steffan, J Gregory},
	journal={International Journal of Reconfigurable Computing},
	volume={2011},
	year={2011},
	publisher={Hindawi}
}

@article{polybench,
	title={Polybench: The polyhedral benchmark suite},
	author={Pouchet, Louis-No{\"e}l},
	journal={URL: http://www. cs. ucla. edu/pouchet/software/polybench},
	year={2012}
}

@article{verilator,
	title={Verilator},
	author={Snyder, Wilson and Wasson, Paul and Galbi, Duane},
	journal={Direct search methods: then and now},
	year={2007}
}

@article{fpgavsasic,
	title={Measuring the gap between FPGAs and ASICs},
	author={Kuon, Ian and Rose, Jonathan},
	journal={IEEE Transactions on computer-aided design of integrated circuits and systems},
	volume={26},
	number={2},
	pages={203--215},
	year={2007},
	publisher={IEEE}
}

@article{paranjape2010heterogeneous,
	title={Heterogeneous computing in the cloud: Crunching big data and democratizing HPC access for the life sciences},
	author={Paranjape, Ketan and Hebert, Steve and Masson, Bob},
	journal={Intel Corporation},
	year={2010}
}

@inproceedings{cilardo05keystore-ref,
	title={An FPGA-based key-store for improving the dependability of security services},
	author={Cilardo, Alessandro and Mazzeo, Antonino and Romano, Luigi and Saggese, Giacinto Paolo},
	booktitle={Object-Oriented Real-Time Dependable Systems, 2005. WORDS 2005. 10th IEEE International Workshop on},
	pages={389--396},
	year={2005},
	organization={IEEE}
}

@inproceedings{sarkar10,
	title={Hardware accelerators for biocomputing: A survey},
	author={Sarkar, Souradip and Majumder, Turbo and Kalyanaraman, Ananth and Pande, Partha Pratim},
	booktitle={Circuits and Systems (ISCAS), Proceedings of 2010 IEEE International Symposium on},
	pages={3789--3792},
	year={2010},
	organization={IEEE}
}

@article{cilardoTIFS13-ref,
	title={Exploiting vulnerabilities in cryptographic hash functions based on reconfigurable hardware},
	author={Cilardo, Alessandro and Mazzocca, Nicola},
	journal={IEEE Transactions on Information Forensics and Security},
	volume={8},
	number={5},
	pages={810--820},
	year={2013},
	publisher={IEEE}
}

@article{cilardo-gallo,
	title={Improving multibank memory access parallelism with lattice-based partitioning},
	author={Cilardo, Alessandro and Gallo, Luca},
	journal={ACM Transactions on Architecture and Code Optimization (TACO)},
	volume={11},
	number={4},
	pages={45},
	year={2015},
	publisher={ACM}
}

@article{chatterjee,
	title={Generating local addresses and communication sets for data-parallel programs},
	author={Chatterjee, Siddhartha and Gilbert, John R and Long, Fred JE and Schreiber, Robert and Teng, Shang-Hua},
	journal={Journal of Parallel and Distributed Computing},
	volume={26},
	number={1},
	pages={72--84},
	year={1995},
	publisher={Elsevier}
}

@inproceedings{wang-yuxin,
	title={Theory and algorithm for generalized memory partitioning in high-level synthesis},
	author={Wang, Yuxin and Li, Peng and Cong, Jason},
	booktitle={Proceedings of the 2014 ACM/SIGDA international symposium on Field-programmable gate arrays},
	pages={199--208},
	year={2014},
	organization={ACM}
}

@misc{coon-brett-nvidia,
	title={Shared memory with parallel access and access conflict resolution mechanism},
	author={Coon, Brett W and Siu, Ming Y and Xu, Weizhong and Oberman, Stuart F and Nickolls, John R and Mills, Peter C},
	year={2012},
	month=jan # "~31",
	publisher={Google Patents},
	note={US Patent 8,108,625}
}

@misc{altera-opencl,
	title={The Altera SDK for Open Computing Language (OpenCL)},
	url={https://www.altera.com/products/design-software/embedded-software-developers/opencl/overview.html}
}

@article{sdaccel,
	title={Xilinx sdaccel: a unified development environment for tomorrows data center},
	author={Wirbel, Loring},
	journal={The Linley Group Inc},
	year={2014}
}

@article{fermi,
	title={Nvidia’s next generation cuda compute architecture: Fermi},
	author={Nvidia, C},
	journal={Comput. Syst},
	volume={26},
	pages={63--72},
	year={2009}
}

@article{paranjape2010heterogeneous,
	title={Heterogeneous computing in the cloud: Crunching big data and democratizing HPC access for the life sciences},
	author={Paranjape, Ketan and Hebert, Steve and Masson, Bob},
	journal={Intel Corporation},
	year={2010}
}

@inproceedings{FPL13-ref,
	title={Automated synthesis of FPGA-based heterogeneous interconnect topologies},
	author={Cilardo, Alessandro and Fusella, Edoardo and Gallo, Luca and Mazzeo, Antonino},
	booktitle={Field Programmable Logic and Applications (FPL), 2013 23rd International Conference on},
	pages={1--8},
	year={2013},
	organization={IEEE}
}

@article{survey16-ref,
	title={Design automation for application-specific on-chip interconnects: A survey},
	author={Cilardo, Alessandro and Fusella, Edoardo},
	journal={Integration, the VLSI Journal},
	volume={52},
	pages={102--121},
	year={2016},
	publisher={Elsevier}
}

@article{CAS16-ref,
	title={Lighting up on-chip communications with photonics: Design tradeoffs for optical NoC architectures},
	author={Fusella, Edoardo and Cilardo, Alessandro},
	journal={IEEE Circuits and Systems Magazine},
	volume={16},
	number={3},
	pages={4--14},
	year={2016},
	publisher={IEEE}
}

@article{fusella2017h,
	title={H 2 ONoC: A Hybrid Optical--Electronic NoC Based on Hybrid Topology},
	author={Fusella, Edoardo and Cilardo, Alessandro},
	journal={IEEE Transactions on Very Large Scale Integration (VLSI) Systems},
	volume={25},
	number={1},
	pages={330--343},
	year={2017},
	publisher={IEEE}
}

@article{olofsson2016epiphany,
	title={Epiphany-V: A 1024 processor 64-bit RISC system-on-chip},
	author={Olofsson, Andreas},
	journal={arXiv preprint arXiv:1610.01832},
	year={2016}
}

@inproceedings{vangal200780,
	title={An 80-tile 1.28 TFLOPS network-on-chip in 65nm CMOS},
	author={Vangal, Sriram and Howard, Jason and Ruhl, Gregory and Dighe, Saurabh and Wilson, Howard and Tschanz, James and Finan, David and Iyer, Priya and Singh, Arvind and Jacob, Tiju and others},
	booktitle={IEEE International Solid-State Circuits Conference, ISSCC 2007, Digest of Technical Papers, San Francisco, CA, USA},
	pages={98--99},
	year={2007},
	organization={IEEE}
}

@article{wentzlaff2007chip,
	title={On-chip interconnection architecture of the tile processor},
	author={Wentzlaff, David and Griffin, Patrick and Hoffmann, Henry and Bao, Liewei and Edwards, Bruce and Ramey, Carl and Mattina, Matthew and Miao, Chyi-Chang and Brown III, John F and Agarwal, Anant},
	journal={IEEE micro},
	number={5},
	pages={15--31},
	year={2007},
	publisher={IEEE}
}

@article{hoefler2004survey,
	title={A survey of barrier algorithms for coarse grained supercomputers},
	author={Hoefler, Torsten and Mehlan, Torsten and Mietke, Frank and Rehm, Wolfgang},
	year={2004}
}

@article{abellan2012efficient,
	title={Efficient hardware barrier synchronization in many-core CMPs},
	author={Abell{\'a}n, Jos{\'e} L and Fernandez, Juan and Acacio, Manuel E},
	journal={IEEE Transactions on Parallel and Distributed Systems},
	volume={23},
	number={8},
	pages={1453--1466},
	year={2012},
	publisher={IEEE}
}

@article{monchiero2006efficient,
	title={Efficient synchronization for embedded on-chip multiprocessors},
	author={Monchiero, Matteo and Palermo, Gianluca and Silvano, Cristina and Villa, Oreste},
	journal={IEEE Transactions on very large scale integration (VLSI) systems},
	volume={14},
	number={10},
	pages={1049--1062},
	year={2006},
	publisher={IEEE}
}

@inproceedings{DATE14-ref,
	title={Joint communication scheduling and interconnect synthesis for FPGA-based many-core systems},
	author={Cilardo, Alessandro and Fusella, Edoardo and Gallo, Luca and Mazzeo, Antonino},
	booktitle={Design, Automation and Test in Europe Conference and Exhibition (DATE), 2014},
	pages={1--4},
	year={2014},
	organization={IEEE}
}

@book{culler1999parallel,
	title={Parallel computer architecture: a hardware/software approach},
	author={Culler, David and Singh, Jaswinder Pal and Gupta, Anoop},
	year={1999},
	publisher={Gulf Professional Publishing}
}

@inproceedings{villa2008efficiency,
	title={Efficiency and scalability of barrier synchronization on noc based many-core architectures},
	author={Villa, Oreste and Palermo, Gianluca and Silvano, Cristina},
	booktitle={Proceedings of the 2008 international conference on Compilers, architectures and synthesis for embedded systems},
	pages={81--90},
	year={2008},
	organization={ACM}
}

@article{abellan2012efficient,
	title={Efficient hardware barrier synchronization in many-core CMPs},
	author={Abell{\'a}n, Jos{\'e} L and Fernandez, Juan and Acacio, Manuel E},
	journal={IEEE Transactions on Parallel and Distributed Systems},
	volume={23},
	number={8},
	pages={1453--1466},
	year={2012},
	publisher={IEEE}
}

@inproceedings{tseng2016scalable,
	title={Scalable mutli-layer barrier synchronization on NoC},
	author={Tseng, Yu-Lun and Huang, Kun-Hua and Lai, Bo-Cheng Charles},
	booktitle={VLSI Design, Automation and Test (VLSI-DAT), 2016 International Symposium on},
	pages={1--4},
	year={2016},
	organization={IEEE}
}

@inproceedings{zhu2007synchronization,
	title={Synchronization state buffer: supporting efficient fine-grain synchronization on many-core architectures},
	author={Zhu, Weirong and Sreedhar, Vugranam C and Hu, Ziang and Gao, Guang R},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={35},
	number={2},
	pages={35--45},
	year={2007},
	organization={ACM}
}

@article{xilinx2006microblaze,
	title={Microblaze processor reference guide},
	author={Xilinx, I},
	journal={reference manual},
	volume={23},
	year={2006}
}

@misc{nios2009processor,
	title={Processor Reference Handbook},
	author={Nios, II},
	year={2009},
	publisher={Altera}
}

@book{peh2009chip,
	title={On-chip networks},
	author={Peh, Li-Shiuan and Jerger, Natalie Enright},
	year={2009},
	publisher={Morgan \& Claypool Publishers}
}

@inproceedings{bell2008tile64,
	title={Tile64-processor: A 64-core soc with mesh interconnect},
	author={Bell, Shane and Edwards, Bruce and Amann, John and Conlin, Rich and Joyce, Kevin and Leung, Vince and MacKay, John and Reif, Mike and Bao, Liewei and Brown, John and others},
	booktitle={Solid-State Circuits Conference, 2008. ISSCC 2008. Digest of Technical Papers. IEEE International},
	pages={88--598},
	year={2008},
	organization={IEEE}
}

@inproceedings{eldred1998design,
	title={Design and implementation of multilevel parallel optimization on the Intel TeraFLOPS},
	author={Eldred, M and Hart, W},
	booktitle={7th AIAA/USAF/NASA/ISSMO Symposium on Multidisciplinary Analysis and Optimization},
	pages={4707},
	year={1998}
}

@inproceedings{de2013distributed,
	title={A Distributed Run-Time Environment for the Kalray MPPA{\textregistered}-256 Integrated Manycore Processor.},
	author={de Dinechin, Beno{\^\i}t Dupont and de Massas, Pierre Guironnet and Lager, Guillaume and L{\'e}ger, Cl{\'e}ment and Orgogozo, Benjamin and Reybert, J{\'e}r{\^o}me and Strudel, Thierry},
	booktitle={ICCS},
	volume={13},
	pages={1654--1663},
	year={2013}
}

@article{kahle2005introduction,
	title={Introduction to the Cell multiprocessor},
	author={Kahle, James A and Day, Michael N and Hofstee, H Peter and Johns, Charles R and Maeurer, Theodore R and Shippy, David},
	journal={IBM journal of Research and Development},
	volume={49},
	number={4.5},
	pages={589--604},
	year={2005},
	publisher={IBM}
}

@book{grammatikakis2008design,
	title={Design of cost-efficient interconnect processing units: Spidergon STNoC},
	author={Grammatikakis, Miltos D and Locatelli, Riccardo and Maruccia, Giuseppe and Pieralisi, Lorenzo and Coppola, Marcello},
	year={2008},
	publisher={CRC press}
}

@article{goossens2005aethereal,
	title={{\AE}thereal network on chip: concepts, architectures, and implementations},
	author={Goossens, Kees and Dielissen, John and Radulescu, Andrei},
	journal={IEEE Design \& Test of Computers},
	volume={22},
	number={5},
	pages={414--421},
	year={2005},
	publisher={IEEE}
}

@article{stratix10wp,
	title={Stratix 10: The Most Powerful, Most Efficient FPGA for Signal Processing},
	author={Altera}
}

@article{ovtcharov2015accelerating,
	title={Accelerating deep convolutional neural networks using specialized hardware},
	author={Ovtcharov, Kalin and Ruwase, Olatunji and Kim, Joo-Young and Fowers, Jeremy and Strauss, Karin and Chung, Eric S},
	journal={Microsoft Research Whitepaper},
	volume={2},
	year={2015}
}

@article{leibson2016xilinx,
	title={Proven Power Reduction with Xilinx 	UltraScale FPGAs},
	author={Xilinx}
}

@inproceedings{andryc2013flexgrip,
	title={FlexGrip: A soft GPGPU for FPGAs},
	author={Andryc, Kevin and Merchant, Murtaza and Tessier, Russell},
	booktitle={Field-Programmable Technology (FPT), 2013 International Conference on},
	pages={230--237},
	year={2013},
	organization={IEEE}
}

@inproceedings{lee2011exploring,
	title={Exploring the tradeoffs between programmability and efficiency in data-parallel accelerators},
	author={Lee, Yunsup and Avizienis, Rimas and Bishara, Alex and Xia, Richard and Lockhart, Derek and Batten, Christopher and Asanovi{\'c}, Krste},
	booktitle={ACM SIGARCH Computer Architecture News},
	volume={39},
	number={3},
	pages={129--140},
	year={2011},
	organization={ACM}
}

@inproceedings{lee201445nm,
	title={A 45nm 1.3 GHz 16.7 double-precision GFLOPS/W RISC-V processor with vector accelerators},
	author={Lee, Yunsup and Waterman, Andrew and Avizienis, Rimas and Cook, Henry and Sun, Chen and Stojanovi{\'c}, Vladimir and Asanovi{\'c}, Krste},
	booktitle={European Solid State Circuits Conference (ESSCIRC), ESSCIRC 2014-40th},
	pages={199--202},
	year={2014},
	organization={IEEE}
}


\end{filecontents}